This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 621706 - pirut crashes on startup
pirut crashes on startup
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 17:09 EDT by andrel
Modified: 2013-01-10 05:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 12:14:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
python crash stack trace (1.60 KB, application/octet-stream)
2010-08-05 17:09 EDT, andrel
no flags Details

  None (edit)
Description andrel 2010-08-05 17:09:23 EDT
Created attachment 436983 [details]
python crash stack trace

Description of problem: pirut crashes on startup

Version-Release number of selected component (if applicable):
pirut-1.3.28-17.el5

How reproducible:  Always reproducible from here.

Steps to Reproduce:
1. Type "sudo pirut".
2. Admire the crash traceback.
3. As instructed, file a bug report on bugzilla.
  
Actual results: pirut crashes

Expected results: pirut letting me fiddle with my packages

Additional info: 

I'm attaching a copy of the strack trace.

bash-3.2$ uname -a
Linux alrhel 2.6.18-194.8.1.el5 #1 SMP Wed Jun 23 10:52:51 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

bash-3.2$ lsb_release -a
LSB Version:    :core-3.1-amd64:core-3.1-ia32:core-3.1-noarch:graphics-3.1-amd64:graphics-3.1-ia32:graphics-3.1-noarch
Distributor ID: RedHatEnterpriseServer
Description:    Red Hat Enterprise Linux Server release 5.5 (Tikanga)
Release:        5.5
Codename:       Tikanga
Comment 1 James Antill 2010-08-06 12:14:37 EDT
 From the bottom of the traceback:

  File "/usr/lib/yum-plugins/replace.py", line 37, in config_hook
    parser.add_option('--replace-with', dest='replace_with', action='store',
AttributeError: 'NoneType' object has no attribute 'add_option'

Local variables in innermost frame:
conduit: <yum.plugins.ConfigPluginConduit instance at 0x15069518>
parser: None


...this is a bug in the plugin you are using.

Note You need to log in before you can comment on or make changes to this bug.